'-----------------------------------------------
'API for TUSB-KxxRL Driver
'Visual Basic Module
'
'Feb. 21 2012
'Copyright (C) 2012 Turtle Industry Co.,Ltd.
'-----------------------------------------------
Option Strict Off
Option Explicit On
Imports System.Runtime.InteropServices
Module TUSBKDIO

    'API Function declaration
    <DllImport("TUSBKRL.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function TUSBKRL_Device_Open(ByVal Id As Short) As Short
    End Function
    <DllImport("TUSBKRL.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Sub TUSBKRL_Device_Close(ByVal Id As Short)
    End Sub
    <DllImport("TUSBKRL.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function TUSBKRL_Set(ByVal Id As Short, ByVal Data As Byte) As Short
    End Function
    <DllImport("TUSBKRL.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function TUSBKRL_BitSet(ByVal Id As Short, ByVal Bit As Byte, _
                            ByVal Data As Byte) As Short
    End Function
    <DllImport("TUSBKRL.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function TUSBKRL_Read(ByVal Id As Short, ByRef Data As Byte) As Short
    End Function

    ' Error Message
    Public Sub TUSBKRL_ErrorDisp(ByVal ErrCode As Short)
        Dim Message As String

        Select Case ErrCode
            Case 0
                Message = "ɏI܂"
            Case 1
                Message = "IDԍsł"
            Case 2
                Message = "hCoĂ܂"
            Case 3
                Message = "łɃfoCXI[vĂ܂"
            Case 4
                Message = "ڑ䐔܂"
            Case 5
                Message = "I[vo܂ł"
            Case 6
                Message = "foCX܂ł"
            Case 8
                Message = "p[^G["
            Case 9
                Message = "USBʐMG["
            Case Else
                Message = "sȃG[ł"
        End Select

        MsgBox(Message)
    End Sub
End Module