﻿//-----------------------------------------------
//TUSB-KxxRL用ドライバアクセス用API
//Visual C# 用モジュール
//
//2014_01_10　株式会社タートル工業
//Copyright (C) 2014 Turtle Industry Co.,Ltd.
//-----------------------------------------------

using System.Runtime.InteropServices;

class TUSBKRL
{
    // API Function declaration
    [DllImport("TUSBKRL.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short TUSBKRL_Device_Open(short Id);
    [DllImport("TUSBKRL.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern void TUSBKRL_Device_Close(short Id);
    [DllImport("TUSBKRL.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short TUSBKRL_Set(short Id, byte Data);
    [DllImport("TUSBKRL.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short TUSBKRL_BitSet(short Id, byte Bit, byte Data );
    [DllImport("TUSBKRL.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short TUSBKRL_Read(short Id, out byte Data);
    public static string GetErrMessage(short retcode)
    {
        switch (retcode)
        {
            case 0:
                return "正常終了しました";
            case 1:
                return "ID番号が不正です";
            case 2:
                return "ドライバがインストールされていません";
            case 3:
                return "すでにデバイスはオープンされています";
            case 4:
                return "接続されている台数が多すぎます";
            case 5:
                return "オープンできませんでした";
            case 6:
                return "デバイスがみつかりません";
            case 8:
                return "パラメータエラー";
            case 9:
                return "USB通信エラーです";
            default:
                return "不明なエラーです";
        }
    }
}
